summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-libs/lib-compat
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-libs/lib-compat')
-rw-r--r--sys-libs/lib-compat/Manifest1
-rw-r--r--sys-libs/lib-compat/lib-compat-1.4.2-r1.ebuild31
-rw-r--r--sys-libs/lib-compat/metadata.xml5
3 files changed, 37 insertions, 0 deletions
diff --git a/sys-libs/lib-compat/Manifest b/sys-libs/lib-compat/Manifest
new file mode 100644
index 00000000000..b6380cda306
--- /dev/null
+++ b/sys-libs/lib-compat/Manifest
@@ -0,0 +1 @@
+DIST lib-compat-1.4.2.tar.bz2 3002557 SHA256 89861c0ba899e8f9c81561422007d0c6961fce60eb5d2967fff2618230ed562c SHA512 aa801434db2749f5f6f42fb12aaa4e518474e8a2b75e7d2e93733d99ebdbc52615c879f575b708dafa15bd1e8bd8362697a6d1f5a38691dd4664cd6fbb51ae14 WHIRLPOOL b1cee9cd0c19d06c1f08fc0b7fda18fef51501f27bc11dc0b345797a90a10a32a3f6e377c89bcd380126f12c59835e53035b802dc24242ee75b26128ef4b9dd9
diff --git a/sys-libs/lib-compat/lib-compat-1.4.2-r1.ebuild b/sys-libs/lib-compat/lib-compat-1.4.2-r1.ebuild
new file mode 100644
index 00000000000..88ec45c540b
--- /dev/null
+++ b/sys-libs/lib-compat/lib-compat-1.4.2-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Compatibility C++ and libc5 and libc6 libraries for very old programs"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!<=app-emulation/emul-linux-x86-compat-20140508"
+
+src_install() {
+ if use amd64 || use x86; then
+ cd x86 || die
+ ABI=x86
+ into /
+ dolib.so ld-linux.so.1*
+ rm -f ld-linux.so.1*
+ #elif use alpha; then
+ # cd alpha || die
+ else
+ die "arch not supported"
+ fi
+ into /usr
+ dolib.so *.so*
+}
diff --git a/sys-libs/lib-compat/metadata.xml b/sys-libs/lib-compat/metadata.xml
new file mode 100644
index 00000000000..96a2d586367
--- /dev/null
+++ b/sys-libs/lib-compat/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>base-system</herd>
+</pkgmetadata>